apiVersion: v1
kind: Pod
metadata:
  name: mariadb-backup
  namespace: nextcloud
spec:
  nodeName: knode0   # <-- FIXED ON node0
  containers:
  - name: backup
    image: busybox
    command: ["sleep", "3600"]
    volumeMounts:
    - name: old
      mountPath: /old
  volumes:
  - name: old
    persistentVolumeClaim:
      claimName: nextcloud-mariadb-pvc